Bug 1269659 - Error: An update notice is broken, or duplicate, skipping
Error: An update notice is broken, or duplicate, skipping
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
6.7
Unspecified Linux
unspecified Severity high
: rc
: ---
Assigned To: Michal Domonkos
Eva Mrakova
: Patch
Depends On:
Blocks: 1359262
  Show dependency treegraph
 
Reported: 2015-10-07 17:06 EDT by agilley
Modified: 2017-03-21 07:00 EDT (History)
12 users (show)

See Also:
Fixed In Version: yum-3.2.29-79.el6
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-21 07:00:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum-d10 (10.35 KB, text/plain)
2015-12-08 12:38 EST, Taylor Frazier
no flags Details

  None (edit)
Description agilley 2015-10-07 17:06:30 EDT
Description of problem:

Keeps occurring even after yum clean all

An update notice is broken, or duplicate, skipping

How reproducible:

Eventually comes back after a yum clean all

Steps to Reproduce:
1. /usr/bin/yum --security update-minimal 
2. happening with multiple systems


Actual results:

 /usr/bin/yum --security update-minimal 
Loaded plugins: priorities, rhnplugin, security
This system is receiving updates from RHN Classic or RHN Satellite.
develooper                                               | 1.1 kB     00:00     
epel                                                     | 4.4 kB     00:00     
rhel-x86_64-server-6                                     | 1.8 kB     00:00     
rhel-x86_64-server-optional-6                            | 1.8 kB     00:00     
An update notice is broken, or duplicate, skipping: RHBA-2011:0544
An update notice is broken, or duplicate, skipping: RHBA-2011:0653
An update notice is broken, or duplicate, skipping: RHSA-2012:0019
An update notice is broken, or duplicate, skipping: RHSA-2012:0052
An update notice is broken, or duplicate, skipping: RHSA-2012:0069
An update notice is broken, or duplicate, skipping: RHSA-2012:0350
An update notice is broken, or duplicate, skipping: RHEA-2012:0458
An update notice is broken, or duplicate, skipping: RHSA-2012:0475
An update notice is broken, or duplicate, skipping: RHSA-2012:0744
An update notice is broken, or duplicate, skipping: RHSA-2012:1088
An update notice is broken, or duplicate, skipping: RHSA-2012:1210
An update notice is broken, or duplicate, skipping: RHBA-2012:1240
An update notice is broken, or duplicate, skipping: RHSA-2012:1256
An update notice is broken, or duplicate, skipping: RHSA-2012:1259
An update notice is broken, or duplicate, skipping: RHSA-2013:0215
An update notice is broken, or duplicate, skipping: RHBA-2013:0280
An update notice is broken, or duplicate, skipping: RHBA-2013:0493
An update notice is broken, or duplicate, skipping: RHSA-2013:1268
An update notice is broken, or duplicate, skipping: RHBA-2013:1471
An update notice is broken, or duplicate, skipping: RHBA-2013:1585
An update notice is broken, or duplicate, skipping: RHSA-2014:0625
An update notice is broken, or duplicate, skipping: RHSA-2014:1326
An update notice is broken, or duplicate, skipping: RHBA-2014:1551
An update notice is broken, or duplicate, skipping: RHBA-2014:2018
An update notice is broken, or duplicate, skipping: RHSA-2015:0628
An update notice is broken, or duplicate, skipping: RHSA-2015:0715
An update notice is broken, or duplicate, skipping: RHSA-2015:0864
An update notice is broken, or duplicate, skipping: RHSA-2015:1115
rhel-x86_64-server-rh-common-6                           | 1.6 kB     00:00     
No Packages marked for minimal Update


Expected results: 

No message : "An update notice is broken, or duplicate, skipping"
Comment 7 Taylor Frazier 2015-12-08 12:38 EST
Created attachment 1103656 [details]
yum-d10
Comment 8 Karel Srot 2016-07-28 02:22:41 EDT
See also https://bugzilla.redhat.com/show_bug.cgi?id=1056628#c3
Comment 9 Karel Srot 2016-07-28 02:30:51 EDT
We have added the warning about advisory metadata mismatch as a part of the bug 737173. I didn't realize it would be causing too many errors to be listed.
I think we should silence the yum, would it be possible to print the warning only in the verbose mode?
Comment 16 Ashlee Burch 2016-09-22 12:37:38 EDT
Feedback from customer: 

The bug has not reappeared.
Comment 24 errata-xmlrpc 2017-03-21 07:00:37 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0702.html

Note You need to log in before you can comment on or make changes to this bug.